<?php
/**
 * Security check
 *
 * Prevent direct access to the file.
 *
 * @since 1.2
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 *  Options Page
 *
 * Add options page for the plugin.
 *
 * @since 1.0
 */
function textme_options_page() {

	add_options_page(
		__( 'Send SMS', 'send_sms' ),
		__( 'Send SMS', 'send_sms' ),
		'manage_options',
		'send_sms',
		'text_options_page_ui'
	);
}
add_action( 'admin_menu', 'textme_options_page' );
/**
 * Options Page UI
 *
 * The view of the options page.
 *
 * @since 1.0
 */
function text_options_page_ui() {
	include 'admin-ui.php';
}
function text_update_option_page() {
	$textme_option = array();
	parse_str( $_POST['data'], $textme_option );
	$textme_option_param = array();
	foreach ( $textme_option as $key => $input ) {
		$textme_option_param[ $key ] = sanitize_text_field( $input );
	}
	update_option( 'sms_option', $textme_option_param );
	die();
}
add_action( 'wp_ajax_textme_update_option_page', 'text_update_option_page' );
function text_update_account() {
	$textme_account = array();
	parse_str( $_POST['data'], $textme_account );
    $sms_user_name        = sanitize_text_field( $textme_account['sms_user_name'] );
	$sms_pass             = sanitize_text_field( $textme_account['sms_pass'] );
	$sms_from             = sanitize_text_field( $textme_account['sms_from'] );
	$textme_account_param = array(
		'sms_user_name' => $sms_user_name,
		'sms_pass'      => $sms_pass,
		'sms_from'      => $sms_from
	);
	update_option( 'sms_account', $textme_account_param );
	$sms     = new \text\sms_geteway();
    $balance =  $sms->get_balance();
    echo $balance;
	die();
}
add_action( 'wp_ajax_textme_update_account', 'text_update_account' );

 function send_sms_shortcode(){
		$sms_section_from	= 'shortcode';
		include('sms_client_widget.php');	
	}
	 add_shortcode('SEND_SMS',  'send_sms_shortcode');